#!/bin/sh

VERSION=1.0.5
if [ -e chumbrowser ]; then
    MD5=`md5sum chumbrowser |awk '{print $1}'`
else
    echo "error: unable to find chumbrowser binary"
    exit 1
fi

if [ -e ../output/chumbrowser ]; then
    rm -rf ../output/chumbrowser
fi

mkdir -p ../output/chumbrowser
cp chumbrowser ../output/chumbrowser/chumbrowser
cp start_chumbrowser ../output/chumbrowser/
cp stop_chumbrowser ../output/chumbrowser/
echo -e "$VERSION\t$MD5" >../output/chumbrowser/version

echo "[ ] creating chumbrowser tarball"
cd ../output
rm -f lib/fonts/DejaVu*
tar zcf chumbrowser-$VERSION.tgz chumbrowser IMPORTS lib/*.so* lib/fonts plugins translations
