#!/bin/sh

VERSION=1.0.5
if [ -e arm-linux ]; then
    MD5=`md5sum arm-linux |awk '{print $1}'`
else
    echo "error: unable to find chumbrowser binary"
    exit 1
fi

if [ -e chumbrowser ]; then
    rm -rf chumbrowser
fi

mkdir -p chumbrowser
cp arm-linux chumbrowser/chumbrowser
cp start_chumbrowser chumbrowser/
cp stop_chumbrowser chumbrowser/
cp install.sh chumbrowser/
echo -e "$VERSION\t$MD5" >chumbrowser/version
if [ -e qt.tar.gz ]; then
    tar zcvf ../exports/chumbrowser-$VERSION.tgz chumbrowser qt.tar.gz && rm -rf chumbrowser qt.tar.gz
else
    echo "error: unable to find qt.tar.gz"
    exit 1
fi
