/*
 * fifothread.h
 *
 * (c) Copyright Chumby Industries, 2010-2011
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef FIFOTHREAD_H
#define FIFOTHREAD_H

#include <QApplication>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <QThread>
#include <QtGui>
#include <string.h>
#include <QMouseEvent>
#include <QXmlStreamReader>
#include <stdlib.h>
#include <QGraphicsSceneMouseEvent>
#include <QGraphicsWebView>

class fifoThread : public QThread
{
    Q_OBJECT

    private:
        void _sendKeyEvent( char* cmd );
        void _sendMouseEvent( char* cmd );
        void _processXmlEvent( char* cmd );
        char* convertHex( char* hexNumber, char* aChar );
        int getDigitValue( char digit );

        bool m_mouseDown;       
        QWidget* m_pInputPanel;
        
    public:
        void run();
        void setInputPanel( QWidget* pInputPanel ) ;        

    signals:
        void setgeometry( int, int, int, int );
        void seturl( QString );
        void sethtml( QString, QString );
        void setzoom( unsigned long, qreal );
        void getzoom( unsigned long );
        void evaluatejavascript( unsigned long, QString );
        void setuseragent( int );
        
        void back( void );
        void forward( void );
        void reload( void );
        void stop( void );
        void quit( void );
};


#endif