/*
 * main.cpp
 *
 * (c) Copyright Chumby Industries, 2010-2011
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <QApplication>
#include <QWSServer>
#include <QtNetwork/QSslSocket>

#include <stdio.h>
#include <execinfo.h>
#include <signal.h>
#include <stdlib.h>

#include "browserwindow.h"


int main( int argc, char **argv )
{
    QApplication app(argc, argv);

    const QBrush qb( Qt::SolidPattern ); 
    QWSServer::setBackground( qb );
    
    QList<QSslCertificate> CAcerts = QSslCertificate::fromPath( "/psp/cacert.pem" );
    QSslSocket::setDefaultCaCertificates( CAcerts );

    BrowserWindow window;

    window.load( argv[1] );
    window.show();

    window.connect( &app, SIGNAL( focusChanged( QWidget*, QWidget* ) ), &window, SLOT( focusChanged( QWidget*, QWidget* ) ) );

    return(app.exec());
}

