#ifndef _WEBVIEW_H_
#define _WEBVIEW_H_

#include <QtGui>
#include <QGraphicsWebView>

class WebView : public QGraphicsWebView
{
	Q_OBJECT

	public:
		WebView( QGraphicsWidget *parent = 0 );
		~WebView();
		
		QString evalJavascript( const QString& script );

	Q_SIGNALS:
        void inputFormFocused(  const QString& formId,
                                const QString& formName,
                                const QString& formAction,
                                const QString& inputType,
                                const QString& inputId,
                                const QString& inputName,
                                const QString& inputValue,
                                const QString& inputTitle );

		void inputFormLostFocus( void );
		void gotJavascriptEval( const QString& param );

	public Q_SLOTS:
		void formLostFocus( void );

		void formFocused(	const QString& formId,
							const QString& formName,
							const QString& formAction,
							const QString& inputType,
							const QString& inputId,
							const QString& inputName,
							const QString& inputValue,
							const QString& inputTitle );

        void formFocusedAddValue(   const QString& formId,
                                    const QString& formName,
                                    const QString& formAction,
                                    const QString& inputType,
                                    const QString& inputId,
                                    const QString& inputName,
                                    const QString& value);

        void onFrameCreated( QWebFrame* frame );

        void getResult( const QString &param );

	private Q_SLOTS:
		void onLoadFinished( bool ok );
		void populateJavaScriptWindowObject( void );

	private:
		void addFormsFocusEvent( QWebFrame* frame );

};

#endif

